#!perl
#segoff.pl
#AKE
#2024-02-07---Wed---20:07

# This script takes a string as input and spits a string as output
# Takes INPUT:  075a:01b9  in segment:offset notation, uses Pork2Sausage to convert it to hex(0x075a0+0x01b)
use strict;
use warnings;

my $progname = "segoff.pl";
#print <<HEADER
#  $progname
#  Copyright (c) Assad E.K. Ebrahim, 2024
#  All Rights Reserved
#HEADER
#;

if (@ARGV < 1) {
   print "Please provide an argument.\n";
   exit;
 }

# inputs from command line
my $stringIN=$ARGV[0];
chomp($stringIN);
my @words = split(/:/,$stringIN);
my $stringOUT='hex('.'0x'.$words[0].'0'.' + '.'0x'.$words[1].')';
print $stringOUT;

# Later --- do the hex conversion yourself in Perl.
