@echo off
:: AKE, 5/24/2008

:: Description:
:: _copyover.bat copies all files from HERE to THERE (overwriting silently)
:: Usage: you need to make the target folder first.  Then run the script (from anywhere).

:: application 2024-01-20---Sat---05:05 backup all critical config files in TC Expansion Pack.

:: set directories
set HERE=c:\totalcmd\
set THERE=c:\totalcmd\__contents\TCconfigs_backup\
set CONFIDENTIAL=c:\totalcmd\__contents\TCconfigs_confid\

:: copy /Y suppresses overwrite prompt
echo Copying TC Expansion Pack config files to %THERE%\...
copy /Y %HERE%\wincmd.ini                                           %THERE%\
copy /Y %HERE%\wincmd_user.ini                                      %THERE%\
copy /Y %HERE%\default.br2                                          %THERE%\
copy /Y %HERE%\Default.bar                                          %THERE%\
copy /Y %HERE%\usercmd.ini                                          %THERE%\
copy /Y %HERE%\tcDirFrq.txt                                         %THERE%\
copy /Y %HERE%\NoClose.ini                                          %THERE%\
copy /Y %HERE%\DirSizeCalc.ini                                      %THERE%\
copy /Y %HERE%\fsplugin.ini                                         %THERE%\
copy /Y %HERE%\lsplugin.ini                                         %THERE%\
copy /Y %HERE%\pkplugin.ini                                         %THERE%\
copy /Y %HERE%\Language\Wcmd_AE.mnu                                 %THERE%\Language\
copy /Y %HERE%\plugins\WDX\Autorun\autorun.cfg                      %THERE%\plugins\WDX\Autorun\
copy /Y %HERE%\plugins\wcx\GraphicConverter\GraphicConverter.ini    %THERE%\plugins\wcx\GraphicConverter\
copy /Y %HERE%\plugins\util_everything\everything.ini               %THERE%\plugins\util_everything\
copy /Y %HERE%\wcx_ftp.ini                                          %CONFIDENTIAL%\
copy /Y %HERE%\wincmd.key                                          %CONFIDENTIAL%\
echo TotCmd files completed...

copy /Y %HERE%\Lightscreen\config.ini           %THERE%\Lightscreen\
copy /Y %HERE%\calendar_ultimate\uCalendar.ini  %THERE%\calendar_ultimate\
copy /Y %HERE%\IconSushi\aicon.ini              %THERE%\IconSushi\
copy /Y %HERE%\IrfanView\i_view32.ini           %THERE%\IrfanView\
copy /Y %HERE%\MPC-HC\mpc-hc64.ini              %THERE%\mpc-hc\
echo Other files completed...

copy /Y %HERE%\Npp\plugins\Config\Compare.ini               %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\converter.ini             %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\docMonitor.ini            %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\DSpellCheck.ini           %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\HexEditor.ini             %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\HTMLTag-entities.ini      %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\NppCCompletionPlugin.ini  %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\NppExec.ini               %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\NppNetNote.ini            %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\nppqcp.ini                %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\NPPTextFX.ini             %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\NPPTextFX2.ini            %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\PluginManager.ini         %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\pork2Sausage.ini          %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\PyNPP.ini                 %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\RunMe.ini                 %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\SpellChecker.ini          %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\TagsView.ini              %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\TopMost.ini               %THERE%\Npp\plugins\Config\
copy /Y %HERE%\Npp\plugins\Config\Translate\Translate.ini   %THERE%\Npp\plugins\Config\Translate\
echo NPP plugin config files completed...

copy /Y %HERE%\Npp\plugins\HTMLTag_unicode\Config\HTMLTag.ini           %THERE%\Npp\plugins\HTMLTag_unicode\Config\
copy /Y %HERE%\Npp\plugins\HTMLTag_unicode\Config\HTMLTag-entities.ini  %THERE%\Npp\plugins\HTMLTag_unicode\Config\
copy /Y %HERE%\Npp\plugins\HTMLTag_unicode\HTMLTag-entities.ini         %THERE%\Npp\plugins\HTMLTag_unicode\
copy /Y %HERE%\Npp\plugins\mathpad\MathPad.INI                          %THERE%\Npp\plugins\mathpad\
copy /Y %HERE%\Npp\plugins\NppToRPortable\AppInfo\appinfo.ini           %THERE%\Npp\plugins\NppToRPortable\AppInfo\
copy /Y %HERE%\Npp\plugins\NppToRPortable\DefaultData\npptor.ini        %THERE%\Npp\plugins\NppToRPortable\DefaultData\
copy /Y %HERE%\Npp\plugins\NppToRPortable\NppToR\npptor.ini             %THERE%\Npp\plugins\NppToRPortable\NppToR\
echo Npp plugin files completed...

:: shortcuts.xml holds macros, run commands
copy /Y %HERE%\Npp\shortcuts.xml                                        %THERE%\Npp\
copy /Y %HERE%\Npp\plugins\PythonScript\scripts\helpy.py                %THERE%\Npp\plugins\PythonScript\scripts\
copy /Y %HERE%\Npp\plugins\PythonScript\scripts\timestampy.py           %THERE%\Npp\plugins\PythonScript\scripts\
:: gamepy uses PythonScript to add auto-node numbering feature into NotePad++ as part of choose your own adventure game engine/graphviz IDE
copy /Y %HERE%\Npp\plugins\PythonScript\scripts\gamepy.py               %THERE%\Npp\plugins\PythonScript\scripts\
:: nppcalc.txt holds NppCalc commands (Alt+Enter)
copy /Y %HERE%\Npp\plugins\convert\nppcalc.txt                          %THERE%\Npp\plugins\convert\
copy /Y %HERE%\Npp\plugins\convert\NppCalcGuide_1.5_AEannot.txt         %THERE%\Npp\plugins\convert\
:: segoff.pl uses Pork2Sausage, segoffsety.py is PythonScript to bring it all together, with NppCalc, and contextMenu.xml
copy /Y %HERE%\Npp\plugins\PythonScript\scripts\segoffsety.py           %THERE%\Npp\plugins\PythonScript\scripts\
copy /Y %HERE%\Npp\plugins\convert\segoff.pl                            %THERE%\Npp\plugins\convert\
copy /Y %HERE%\Npp\contextMenu.xml                                      %THERE%\Npp\
copy /Y %HERE%\Npp\plugins\graphviz_lite\_AKE_compiler\dot.make.PNG.bat   %THERE%\Npp\plugins\graphviz_lite\_AKE_compiler\
copy /Y %HERE%\Npp\plugins\graphviz_lite\_AKE_compiler\graph.dot          %THERE%\Npp\plugins\graphviz_lite\_AKE_compiler\

echo Npp automation files completed...

copy /Y %HERE%\Npp\config.xml                                           %THERE%\Npp\
copy /Y %HERE%\Npp\config.model.xml                                     %THERE%\Npp\
copy /Y %HERE%\Npp\doLocalConf.xml                                      %THERE%\Npp\
copy /Y %HERE%\Npp\functionList.xml                                     %THERE%\Npp\
copy /Y %HERE%\Npp\langs.xml                                            %THERE%\Npp\
copy /Y %HERE%\Npp\langs.model.xml                                      %THERE%\Npp\
copy /Y %HERE%\Npp\session.xml                                          %THERE%\Npp\
copy /Y %HERE%\Npp\stylers.xml                                          %THERE%\Npp\
copy /Y %HERE%\Npp\stylers.model.xml                                    %THERE%\Npp\

copy /Y %HERE%\Npp\localization\english.xml                             %THERE%\Npp\

copy /Y %HERE%\__contents\_copyover.bat                                 %THERE%\
copy /Y %HERE%\__contents\ShortcutsTable.xlsx                           %THERE%\
copy /Y %HERE%\__contents\__inventory.txt                               %THERE%\
copy /Y %HERE%\__contents\__tc_extended_platform_AE_contents.txt        %THERE%\
copy /Y %HERE%\Npp\_readme_npp_AE.txt                                   %THERE%\

goto :zip

:zip
:: ZipIt using 7zip  DOWNLOAD FROM:  http://www.7-zip.org/download.html
set loc7=c:\totalcmd\ToolboxAutomation\7-zip
set loc_src=c:\totalcmd\__contents\

echo **************************
echo Zipping... local to local dir
echo **************************
%loc7%\7z.exe a -tzip %loc_src%\TCconfigs_backup.zip %loc_src%\TCconfigs_backup

goto :end

:end
echo Done!
pause


REM c:\totalcmd\ADO_DS.ini
REM c:\totalcmd\Agent3\AGENT.INI
REM c:\totalcmd\attiny85\pcr-forth\VC.INI
REM copy /Y %HERE%\DOSvPlus\4DOS.INI
REM copy /Y %HERE%\DOSvPlus\DosZip\dz.ini
REM copy /Y %HERE%\DOSvPlus\Language.ini
REM copy /Y %HERE%\GraphCalc\graphcalc.ini
REM copy /Y %HERE%\Imagine\Imagine.ini
REM copy /Y %HERE%\Nvu\components.ini
REM copy /Y %HERE%\Nvu\defaults.ini
REM copy /Y %HERE%\PhotoFiltre\PhotoFiltre.ini
REM copy /Y %HERE%\plugins\ultratc_editors\ultra tc editors.ini
REM copy /Y %HERE%\plugins\util_SynPlus\HGLs.ini
REM copy /Y %HERE%\plugins\util_SynPlus\SynPlus.ini
REM copy /Y %HERE%\plugins\wcx\7zip\7zip.ini
REM copy /Y %HERE%\plugins\wcx\makebat\makebat.ini
REM copy /Y %HERE%\plugins\wfx\EnvVars\envvars.ini
REM copy /Y %HERE%\plugins\wfx\Registry\registry_vk.ini
REM copy /Y %HERE%\plugins\wfx\Startups\Startups.sample.ini
REM copy /Y %HERE%\plugins\wfx\TConsole\Language\English.ini
REM copy /Y %HERE%\plugins\wlx\Imagine\Imagine.ini
REM copy /Y %HERE%\plugins\wlx\RedCell\config.ini
REM copy /Y %HERE%\ScreenRulers\JrulerPro_TRIAL\JRulerPro.ini
REM copy /Y %HERE%\ScreenRulers\ScreenCalipers\Caliper.ini
REM copy /Y %HERE%\ScreenRulers\ScreenCalipers\default\default.ini
REM copy /Y %HERE%\ScreenRulers\ScreenCalipers\distances.ini
REM copy /Y %HERE%\ScreenRulers\ScreenCalipers\skins\screenRuler\ruler.ini
REM copy /Y %HERE%\ScreenRulers\ScreenCalipers\skins\small\small.ini
REM copy /Y %HERE%\ScreenRulers\ScreenCalipers\skins\tall\tall.ini
REM copy /Y %HERE%\ScreenRulers\ScreenCalipers\skins\technical\technical.ini
REM copy /Y %HERE%\ScreenRulers\ScreenRuler.ini
REM copy /Y %HERE%\sldpreview.ini
REM copy /Y %HERE%\ToolboxAutomation\AutoIT\Extras\Editors\PSPad\AutoIt3.ini
REM copy /Y %HERE%\ToolBoxDatabase\data_sources\ODBC.INI
REM copy /Y %HERE%\ToolBoxDatabase\data_sources\ODBCINST.INI
REM copy /Y %HERE%\ToolBoxDatabase\xBaseView\xBaseView.ini
REM copy /Y %HERE%\ToolboxEditors\AllChars\AllChars.ini
REM copy /Y %HERE%\ToolboxEditors\HxD_2.0\Settings\HxD Hex Editor.ini
REM copy /Y %HERE%\ToolboxImage\ImageSlicer\associate.ini
REM copy /Y %HERE%\ToolboxImage\ImageSlicer\settings.ini
REM copy /Y %HERE%\ToolboxImage\LCDassistant\LCDAssistant.ini
REM copy /Y %HERE%\ToolboxPDF\PrimoPDF\Configuration\_Default.ini
REM copy /Y %HERE%\ToolboxPDF\PrimoPDF\Configuration\_Ebook.ini
REM copy /Y %HERE%\ToolboxPDF\PrimoPDF\Configuration\_Prepress.ini
REM copy /Y %HERE%\ToolboxProgramming\ResourceHacker\ResHacker.ini
REM copy /Y %HERE%\ToolboxSysAdmin\DiskHealth\DiskInfo.ini
REM copy /Y %HERE%\ToolboxSysAdmin\DiskHealth\Smart\Exchange.ini
REM copy /Y %HERE%\ToolboxSysAdmin\DiskHealth\Smart\Hitachi HTS541212H9AT00HP0400BEGNM6DA\Smart.ini
REM copy /Y %HERE%\ToolboxSysAdmin\DiskHealth\Smart\Hitachi HTS723232L9A360091213FCC400NEJAT8MG\Smart.ini
REM copy /Y %HERE%\ToolboxSysAdmin\DiskHealth\Smart\ST9120822A5LZ96P0V\Smart.ini
REM copy /Y %HERE%\ToolboxSysAdmin\DiskHealth\Smart\WDC WD1600BEKT-60A25T1WD-WX21A4085501\Smart.ini
REM copy /Y %HERE%\ToolboxSysAdmin\LocalPortScanner\LPS.INI
REM copy /Y %HERE%\ToolboxSysAdmin\TFTPd\tftpd32.ini
REM copy /Y %HERE%\ToolboxTeX\Ghostgum\gsview\gsview32.ini
REM copy /Y %HERE%\ToolboxTeX\Ghostgum\gsview\printer.ini
REM copy /Y %HERE%\turtle-logo\i_view32.ini
REM copy /Y %HERE%\turtle-logo-plus\DosZip\dz.ini
REM copy /Y %HERE%\turtle-logo-plus\i_view32.ini
REM copy /Y %HERE%\Uninstaller64.ini
